@extends('layouts.app')
@section('htmlheader_title')
	Permissions for {{ auth()->check() ? auth()->user()->name : 'Guest' }}
@endsection

@section('content')
	<h2>{{ auth()->check() ? auth()->user()->name : 'Guest' }}</h2>

	<table class="table monotable">
		<thead>
		<tr>
			<th>Test</th>
			<th>Result</th>
		</tr>
		</thead>

		<tbody>
		<tr>
			<td>isAdmin</td>
			<td>@can('admin')YES @else NO @endcan</td>
		</tr>
		<tr>
			<td>Domains</td>
			<td>
				<table class="table table-sm" id="domains">
					<thead>
					<tr>
						<th class="w-75">Domain</th>
						<th>Result</th>
					</tr>
					</thead>

					<tbody>
					@foreach (\App\Models\Domain::orderBy('name')->get() as $o)
						<tr>
							<td>{{ $o->name }}</td>
							<td>@can('admin',$o)YES @else NO @endcan</td>
						</tr>
					@endforeach
					</tbody>
				</table>
			</td>
		</tr>

		<tr>
			<td>System</td>
			<td>
				<table class="table table-sm" id="systems">
					<thead>
					<tr>
						<th class="w-75">System</th>
						<th>Result</th>
					</tr>
					</thead>

					<tbody>
					@foreach (\App\Models\System::orderBy('name')->with(['users'])->get() as $o)
						<tr>
							<td>{{ $o->name }}</td>
							<td>@can('update',$o)YES @else NO @endcan</td>
						</tr>
					@endforeach
					</tbody>
				</table>
			</td>
		</tr>

		<tr>
			<td>Zone</td>
			<td>
				<table class="table table-sm" id="zones">
					<thead>
					<tr>
						<th class="w-75">Zone</th>
						<th>Result</th>
					</tr>
					</thead>

					<tbody>
					@foreach (\App\Models\Zone::orderBy('zone_id')->get() as $o)
						<tr>
							<td>{{ $o->zone_id }}</td>
							<td>@can('admin',$o)YES @else NO @endcan</td>
						</tr>
					@endforeach
					</tbody>
				</table>
			</td>
		</tr>
		</tbody>
	</table>
@endsection

@section('page-css')
	@css('datatables')
@append
@section('page-scripts')
	@js('datatables')

	<script type="text/javascript">
		$(document).ready(function() {
			$('#systems').DataTable({
				paging: true,
				pageLength: 25,
				searching: true,
				order: [],
				conditionalPaging: {
					style: 'fade',
					speed: 500
				},
				language: {
					paginate: {
						previous: '&lt;&lt;',
						next: '&gt;&gt;'
					}
				}
			});
		});
	</script>
@append