@extends('layouts.app')
@section('htmlheader_title')
	Known FTN Networks
@endsection

@section('content')
	<div class="row pt-0">
		<div class="col-12">
			<h2>List of known FTN Networks</h2>

			<p>Here is a list of known <strong class="highlight">FTN Networks</strong>.</p>
		</div>

		<div class="col-10 pt-2">
			<table class="table monotable">
				<thead>
				<tr>
					<th>Domain</th>
					<th>Zones</th>
					<th>Active</th>
					<th>Available Here</th>
					<th>Head Quarters</th>
					<th>Known Systems</th>
				</tr>
				</thead>
				<tbody>
				@foreach (\App\Models\Domain::public()->orderBy('name')->with(['zones.addresses.system'])->get() as $do)
					<tr>
						<td>{{ $do->name }}</td>
						<td>{{ $do->zones->pluck('zone_id')->sort()->join(', ') }}</td>
						<td class="text-end">{{ $do->active ? 'YES' : 'NO' }}</td>
						<td class="text-end">{{ $do->managed() ? 'YES' : 'NO' }}</td>
						<td>
							@foreach (($x=$do->zones->pluck('addresses')->flatten())->where('role',\App\Models\Address::NODE_ZC)->sortBy('zone.zone_id') as $ao)
								{{ $ao->system->sysop }}, <a href="{{ url('system/view',$ao->system_id) }}">{{ $ao->system->name }}</a><br>
							@endforeach
						</td>
						<td class="text-end">{{ $x->pluck('system')->unique('name')->count() }}</td>
					</tr>
				@endforeach
				</tbody>
			</table>
		</div>
	</div>
@endsection