@extends('layouts.app')
@section('htmlheader_title')
	Fileareas
@endsection

@section('content')
	<div class="row">
		<div class="col-12">
			<h2>About Fileareas</h2>
			<p>BBS Systems exchange area able to exchange and distribute files. Files are grouped into <strong class="highlight">fileareas</strong> normally around a theme or type.</p>
			<p>Each filerea has a unique <strong class="highlight">filetag</strong> which helps a receiving BBS to know where to store the file when it is received.</p>
		</div>
	</div>

	<div class="row">
		<div class="col-9">
			<p>This system is aware of the following fileareas @can('admin',(new \App\Models\Filearea))(you can <a href="{{ url('ftn/filearea/addedit') }}">add</a> more)@endcan:</p>

			@if (\App\Models\Filearea::count() == 0)
				@can('admin',(new \App\Models\Filearea))
					<p>There are no fileareas setup, to <a href="{{ url('ftn/filearea/addedit') }}">set up your first</a>.</p>
				@else
					<p class="pad">There are no fileareas - you need to ask an admin to create one for you.</p>
				@endcan
			@else
				<table class="table monotable" id="filearea">
					<thead>
					<tr>
						<th>ID</th>
						<th>Filetag</th>
						<th>Description</th>
						<th>Active</th>
						<th>Domain</th>
					</tr>
					</thead>

					<tbody>
					@foreach (\App\Models\Filearea::orderBy('name')->with(['domain'])->get() as $oo)
						<tr>
							<td><a href="{{ url('ftn/filearea/addedit',[$oo->id]) }}">{{ $oo->id }}</a></td>
							<td>{{ $oo->name }}</td>
							<td>{{ $oo->description }}</td>
							<td>{{ $oo->active ? 'YES' : 'NO' }}</td>
							<td>{{ $oo->domain->name }}</td>
						</tr>
					@endforeach
					</tbody>
				</table>
			@endif
		</div>
	</div>
@endsection

@section('page-css')
	@css('datatables')
@append
@section('page-scripts')
	@js('datatables')

	<script type="text/javascript">
		$(document).ready(function() {
			$('table tr').click(function() {
				var href = $(this).find('a').attr('href');

				if (href)
					window.location = href;
			});

			$('#filearea').DataTable({
				paging: true,
				pageLength: 25,
				searching: true,
				order: [],
				conditionalPaging: {
					style: 'fade',
					speed: 500
				},
				rowGroup: {
					dataSrc: [4],
				},
				columnDefs: [
					{
						targets: [4],
						visible: false,
					},
				],
				language: {
					paginate: {
						previous: '&lt;&lt;',
						next: '&gt;&gt;'
					}
				}
			});
		});
	</script>
@append