<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\{DomainController,SystemController,ZoneController};

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware(['auth:api'])->group(function () {
	Route::get('regions/{o}',[DomainController::class,'api_regions'])
		->where('o','[0-9]+');
	Route::get('hosts/{o}/{region}',[DomainController::class,'api_hosts'])
		->where('o','[0-9]+');
	Route::get('systems/orphan',[SystemController::class,'api_orphan']);
	Route::get('addresses/orphan',[SystemController::class,'api_orphan_address']);
	Route::get('hubs/{o}/{host}',[DomainController::class,'api_hubs'])
		->where('o','[0-9]+');
	Route::post('default/{o}',[ZoneController::class,'api_default'])
		->where('o','[0-9]+');
	Route::post('system/address/{o}',[SystemController::class,'api_address'])
		->where('o','[0-9]+');
});
